# FetchedResult (Crawler-commons 0.7 API)
Date: 2016-11-21

crawlercommons.fetcher

## Class FetchedResult

- java.lang.Object
- - crawlercommons.fetcher.FetchedResult

Deprecated.
As of release 0.6. We recommend directly using Apache HttpClient, async-http-client, or any other robust, industrial-strength HTTP clients.

    @Deprecated
    public class FetchedResult
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FetchedResult(String baseUrl, String redirectedUrl, long fetchTime, org.apache.tika.metadata.Metadata headers, byte[] content, String contentType, int responseRate, Payload payload, String newBaseUrl, int numRedirects, String hostAddress, int statusCode, String reasonPhrase)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getBaseUrl()` Deprecated.
`byte[]` `getContent()` Deprecated.
`int` `getContentLength()` Deprecated.
`String` `getContentType()` Deprecated.
`String` `getFetchedUrl()` Deprecated.
`long` `getFetchTime()` Deprecated.
`org.apache.tika.metadata.Metadata` `getHeaders()` Deprecated.
`String` `getHostAddress()` Deprecated.
`String` `getNewBaseUrl()` Deprecated.
`int` `getNumRedirects()` Deprecated.
`Payload` `getPayload()` Deprecated.
`String` `getReasonPhrase()` Deprecated.
`int` `getResponseRate()` Deprecated.
`int` `getStatusCode()` Deprecated.
`String` `report()` Deprecated. Produces a neat report containing everything from a `FetchedResult` .
`void` `setPayload(Payload payload)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchedResult

    public FetchedResult(String baseUrl,
                         String redirectedUrl,
                         long fetchTime,
                         org.apache.tika.metadata.Metadata headers,
                         byte[] content,
                         String contentType,
                         int responseRate,
                         Payload payload,
                         String newBaseUrl,
                         int numRedirects,
                         String hostAddress,
                         int statusCode,
                         String reasonPhrase)

Deprecated.

### Method Detail

#### getPayload

    public Payload getPayload()

Deprecated.

#### setPayload

    public void setPayload(Payload payload)

Deprecated.

#### getBaseUrl

    public String getBaseUrl()

Deprecated.

#### getFetchedUrl

    public String getFetchedUrl()

Deprecated.

#### getFetchTime

    public long getFetchTime()

Deprecated.

#### getContent

    public byte[] getContent()

Deprecated.

#### getContentLength

    public int getContentLength()

Deprecated.

#### getContentType

    public String getContentType()

Deprecated.

#### getResponseRate

    public int getResponseRate()

Deprecated.

#### getHeaders

    public org.apache.tika.metadata.Metadata getHeaders()

Deprecated.

#### getNewBaseUrl

    public String getNewBaseUrl()

Deprecated.

#### getNumRedirects

    public int getNumRedirects()

Deprecated.

#### getHostAddress

    public String getHostAddress()

Deprecated.

#### getStatusCode

    public int getStatusCode()

Deprecated.

#### getReasonPhrase

    public String getReasonPhrase()

Deprecated.

#### report

    public String report()

Deprecated.
Produces a neat report containing everything from a `FetchedResult` . The order of the report is based on the logical population of FetchedReport entities as per a non-public algorithm within `SimpleHttpFetcher`.

Returns:
  returns a String report of the FetchedResult.